



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>iOS设计模式 - 责任链</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">iOS设计模式 - 责任链</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-25 11:11:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>iOS设计模式 - 责任链</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/607542/201510/607542-20151027145124779-650526354.gif" /></p>
<p>原理图</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/607542/201510/607542-20151027145216575-700989924.png" /></p>
<p>说明</p>
<p>在责任链模式里，很多对象由每一个对象对其下家的引用而连接起来形成一条链。请求在这个链上传递，直到链上的某一个对象决定处理此请求。发出这个请求的客户端并不知道链上的哪一个对象最终处理这个请求，这使得系统可以在不影响客户端的情况下动态地重新组织和分配责任。</p>
<p>源码</p>
<p><a href="https://github.com/YouXianMing/iOS-Design-Patterns" rel="external nofollow noreferrer">https://github.com/YouXianMing/iOS-Design-Patterns</a></p>
<div>
<pre class="prettyprint linenums">//<br />
//  ChainOfResponsibilityProtocol.h<br />
//  ChainOfResponsibilityPattern<br />
//<br />
//  Created by YouXianMing on 15/10/27.<br />
//  Copyright &copy; 2015年 ZiPeiYi. All rights reserved.<br />
//

#import &lt;Foundation/Foundation.h&gt;

@protocol ChainOfResponsibilityProtocol &lt;NSObject&gt;

/**<br />
 *  设置接替对象<br />
 *<br />
 *  @param successor 接替对象<br />
 */<br />
- (void)setSuccessor:(id &lt;ChainOfResponsibilityProtocol&gt;)successor;

/**<br />
 *  返回接替对象<br />
 *<br />
 *  @return 接替对象<br />
 */<br />
- (id &lt;ChainOfResponsibilityProtocol&gt;)successor;

/**<br />
 *  处理请求<br />
 *<br />
 *  @param request 请求<br />
 */<br />
- (void)handlerRequest:(id)request;

@end</pre>
</div>
<p>细节</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/607542/201510/607542-20151027152042622-1649674850.gif" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qxnovd8.html">Windows Server 2008 R2 NTP服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pd25z9.html">用python实现一个不排序的列表功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdwo6x9.html">python 栈和队列（使用list实现）</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96kvm4q.html">Match&colon;DNA repair&lpar;POJ 3691&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7pyveq.html">malloc函数和其他内存分配函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde2w409.html">mysql之事务</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmo0we9.html">索引列上的统计 &amp;lt&semi;第一篇&amp;gt&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjno2g8.html">两年后的随笔&plus;this的思考</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2r6ky9.html">hdoj：2052</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o2jjj8.html">MacBook使用笔记2 - 安装windows虚拟机攻略</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwy1x78.html">Android 倒计时按钮，倒计时发送短信验证码&hellip;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5pyr7q.html">loj&num;2128&period; 「HAOI2015」数字串拆分 矩阵乘法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdjjvd9.html">EOF多行写入文件防止变量替换</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4vl5k9.html">【mybatis源码学习】调试mybatis的第一个程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25p7vxq.html">JEECG前后端分离UI框架实战版本抢先体验（ng2-admin&plus;Angular4&plus;AdminLTE&plus;WebStorm）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppj7nd9.html">Zookeeper集群 &plus; Kafka集群 &plus; KafkaOffsetMonitor 监控</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pxl0g8.html">&lbrack;原创&rsqb;Python&sol;Django使用富文本编辑器XHeditor上传本地图片</a>
		</li>
						<li><a href="https://www.batexi.com/a/902j0moq.html">Luogu 2671 求和  NOIP2015T3</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4pp5lq.html">mybatise 实现同一字段多模糊查询</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1647k9.html">J2EE十三种技术规范介绍</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q1v4044q.html">golang协程池</a>
			</li>
						<li><a href="https://www.batexi.com/a/902yo2oq.html">hibernate原生sql封装，报错信息：could not find setter for rownum&lowbar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9ppgz1z9.html">zookeeper集群搭建及Leader选举算法源码解析</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1v4gg0q.html">Polymorphic form--多态表单</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jmvjpl9.html">&lbrack;PY3&rsqb;&mdash;&mdash;logging</a>
			</li>
						<li><a href="https://www.batexi.com/a/9024vvnq.html">Swift基础语法之变量函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zk61jd8.html">webpack3&plus;node&plus;react&plus;babel实现热加载&lpar;hmr&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o43ko1q.html">tomcat shutdown&period;sh结束不了，Could not contact localhost&colon;8005</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rn6d34q.html">&lbrack;转&rsqb;ASP&period;NET MVC4中&commat;model使用多个类型实例的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyv6dlmq.html">&lbrack;转&rsqb;9&period;2&period;3 &period;net core 通过TagHelper封装控件</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
